Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc26::/16
First address
fc26::
Last address
fc26:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc26:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
6.2.c.f.ip6.arpa
Split into smaller subnets/32

fc26::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fc26::/32fc26:0:ffff:ffff:ffff:ffff:ffff:ffff
2fc26:1::/32fc26:1:ffff:ffff:ffff:ffff:ffff:ffff
3fc26:2::/32fc26:2:ffff:ffff:ffff:ffff:ffff:ffff
4fc26:3::/32fc26:3:ffff:ffff:ffff:ffff:ffff:ffff
5fc26:4::/32fc26:4:ffff:ffff:ffff:ffff:ffff:ffff
6fc26:5::/32fc26:5:ffff:ffff:ffff:ffff:ffff:ffff
7fc26:6::/32fc26:6:ffff:ffff:ffff:ffff:ffff:ffff
8fc26:7::/32fc26:7:ffff:ffff:ffff:ffff:ffff:ffff
9fc26:8::/32fc26:8:ffff:ffff:ffff:ffff:ffff:ffff
10fc26:9::/32fc26:9:ffff:ffff:ffff:ffff:ffff:ffff
11fc26:a::/32fc26:a:ffff:ffff:ffff:ffff:ffff:ffff
12fc26:b::/32fc26:b:ffff:ffff:ffff:ffff:ffff:ffff
13fc26:c::/32fc26:c:ffff:ffff:ffff:ffff:ffff:ffff
14fc26:d::/32fc26:d:ffff:ffff:ffff:ffff:ffff:ffff
15fc26:e::/32fc26:e:ffff:ffff:ffff:ffff:ffff:ffff
16fc26:f::/32fc26:f:ffff:ffff:ffff:ffff:ffff:ffff
17fc26:10::/32fc26:10:ffff:ffff:ffff:ffff:ffff:ffff
18fc26:11::/32fc26:11:ffff:ffff:ffff:ffff:ffff:ffff
19fc26:12::/32fc26:12:ffff:ffff:ffff:ffff:ffff:ffff
20fc26:13::/32fc26:13:ffff:ffff:ffff:ffff:ffff:ffff
21fc26:14::/32fc26:14:ffff:ffff:ffff:ffff:ffff:ffff
22fc26:15::/32fc26:15:ffff:ffff:ffff:ffff:ffff:ffff
23fc26:16::/32fc26:16:ffff:ffff:ffff:ffff:ffff:ffff
24fc26:17::/32fc26:17:ffff:ffff:ffff:ffff:ffff:ffff
25fc26:18::/32fc26:18:ffff:ffff:ffff:ffff:ffff:ffff
26fc26:19::/32fc26:19:ffff:ffff:ffff:ffff:ffff:ffff
27fc26:1a::/32fc26:1a:ffff:ffff:ffff:ffff:ffff:ffff
28fc26:1b::/32fc26:1b:ffff:ffff:ffff:ffff:ffff:ffff
29fc26:1c::/32fc26:1c:ffff:ffff:ffff:ffff:ffff:ffff
30fc26:1d::/32fc26:1d:ffff:ffff:ffff:ffff:ffff:ffff
31fc26:1e::/32fc26:1e:ffff:ffff:ffff:ffff:ffff:ffff
32fc26:1f::/32fc26:1f:ffff:ffff:ffff:ffff:ffff:ffff
33fc26:20::/32fc26:20:ffff:ffff:ffff:ffff:ffff:ffff
34fc26:21::/32fc26:21:ffff:ffff:ffff:ffff:ffff:ffff
35fc26:22::/32fc26:22:ffff:ffff:ffff:ffff:ffff:ffff
36fc26:23::/32fc26:23:ffff:ffff:ffff:ffff:ffff:ffff
37fc26:24::/32fc26:24:ffff:ffff:ffff:ffff:ffff:ffff
38fc26:25::/32fc26:25:ffff:ffff:ffff:ffff:ffff:ffff
39fc26:26::/32fc26:26:ffff:ffff:ffff:ffff:ffff:ffff
40fc26:27::/32fc26:27:ffff:ffff:ffff:ffff:ffff:ffff
41fc26:28::/32fc26:28:ffff:ffff:ffff:ffff:ffff:ffff
42fc26:29::/32fc26:29:ffff:ffff:ffff:ffff:ffff:ffff
43fc26:2a::/32fc26:2a:ffff:ffff:ffff:ffff:ffff:ffff
44fc26:2b::/32fc26:2b:ffff:ffff:ffff:ffff:ffff:ffff
45fc26:2c::/32fc26:2c:ffff:ffff:ffff:ffff:ffff:ffff
46fc26:2d::/32fc26:2d:ffff:ffff:ffff:ffff:ffff:ffff
47fc26:2e::/32fc26:2e:ffff:ffff:ffff:ffff:ffff:ffff
48fc26:2f::/32fc26:2f:ffff:ffff:ffff:ffff:ffff:ffff
49fc26:30::/32fc26:30:ffff:ffff:ffff:ffff:ffff:ffff
50fc26:31::/32fc26:31:ffff:ffff:ffff:ffff:ffff:ffff
51fc26:32::/32fc26:32:ffff:ffff:ffff:ffff:ffff:ffff
52fc26:33::/32fc26:33:ffff:ffff:ffff:ffff:ffff:ffff
53fc26:34::/32fc26:34:ffff:ffff:ffff:ffff:ffff:ffff
54fc26:35::/32fc26:35:ffff:ffff:ffff:ffff:ffff:ffff
55fc26:36::/32fc26:36:ffff:ffff:ffff:ffff:ffff:ffff
56fc26:37::/32fc26:37:ffff:ffff:ffff:ffff:ffff:ffff
57fc26:38::/32fc26:38:ffff:ffff:ffff:ffff:ffff:ffff
58fc26:39::/32fc26:39:ffff:ffff:ffff:ffff:ffff:ffff
59fc26:3a::/32fc26:3a:ffff:ffff:ffff:ffff:ffff:ffff
60fc26:3b::/32fc26:3b:ffff:ffff:ffff:ffff:ffff:ffff
61fc26:3c::/32fc26:3c:ffff:ffff:ffff:ffff:ffff:ffff
62fc26:3d::/32fc26:3d:ffff:ffff:ffff:ffff:ffff:ffff
63fc26:3e::/32fc26:3e:ffff:ffff:ffff:ffff:ffff:ffff
64fc26:3f::/32fc26:3f:ffff:ffff:ffff:ffff:ffff:ffff
65fc26:40::/32fc26:40:ffff:ffff:ffff:ffff:ffff:ffff
66fc26:41::/32fc26:41:ffff:ffff:ffff:ffff:ffff:ffff
67fc26:42::/32fc26:42:ffff:ffff:ffff:ffff:ffff:ffff
68fc26:43::/32fc26:43:ffff:ffff:ffff:ffff:ffff:ffff
69fc26:44::/32fc26:44:ffff:ffff:ffff:ffff:ffff:ffff
70fc26:45::/32fc26:45:ffff:ffff:ffff:ffff:ffff:ffff
71fc26:46::/32fc26:46:ffff:ffff:ffff:ffff:ffff:ffff
72fc26:47::/32fc26:47:ffff:ffff:ffff:ffff:ffff:ffff
73fc26:48::/32fc26:48:ffff:ffff:ffff:ffff:ffff:ffff
74fc26:49::/32fc26:49:ffff:ffff:ffff:ffff:ffff:ffff
75fc26:4a::/32fc26:4a:ffff:ffff:ffff:ffff:ffff:ffff
76fc26:4b::/32fc26:4b:ffff:ffff:ffff:ffff:ffff:ffff
77fc26:4c::/32fc26:4c:ffff:ffff:ffff:ffff:ffff:ffff
78fc26:4d::/32fc26:4d:ffff:ffff:ffff:ffff:ffff:ffff
79fc26:4e::/32fc26:4e:ffff:ffff:ffff:ffff:ffff:ffff
80fc26:4f::/32fc26:4f:ffff:ffff:ffff:ffff:ffff:ffff
81fc26:50::/32fc26:50:ffff:ffff:ffff:ffff:ffff:ffff
82fc26:51::/32fc26:51:ffff:ffff:ffff:ffff:ffff:ffff
83fc26:52::/32fc26:52:ffff:ffff:ffff:ffff:ffff:ffff
84fc26:53::/32fc26:53:ffff:ffff:ffff:ffff:ffff:ffff
85fc26:54::/32fc26:54:ffff:ffff:ffff:ffff:ffff:ffff
86fc26:55::/32fc26:55:ffff:ffff:ffff:ffff:ffff:ffff
87fc26:56::/32fc26:56:ffff:ffff:ffff:ffff:ffff:ffff
88fc26:57::/32fc26:57:ffff:ffff:ffff:ffff:ffff:ffff
89fc26:58::/32fc26:58:ffff:ffff:ffff:ffff:ffff:ffff
90fc26:59::/32fc26:59:ffff:ffff:ffff:ffff:ffff:ffff
91fc26:5a::/32fc26:5a:ffff:ffff:ffff:ffff:ffff:ffff
92fc26:5b::/32fc26:5b:ffff:ffff:ffff:ffff:ffff:ffff
93fc26:5c::/32fc26:5c:ffff:ffff:ffff:ffff:ffff:ffff
94fc26:5d::/32fc26:5d:ffff:ffff:ffff:ffff:ffff:ffff
95fc26:5e::/32fc26:5e:ffff:ffff:ffff:ffff:ffff:ffff
96fc26:5f::/32fc26:5f:ffff:ffff:ffff:ffff:ffff:ffff
97fc26:60::/32fc26:60:ffff:ffff:ffff:ffff:ffff:ffff
98fc26:61::/32fc26:61:ffff:ffff:ffff:ffff:ffff:ffff
99fc26:62::/32fc26:62:ffff:ffff:ffff:ffff:ffff:ffff
100fc26:63::/32fc26:63:ffff:ffff:ffff:ffff:ffff:ffff
101fc26:64::/32fc26:64:ffff:ffff:ffff:ffff:ffff:ffff
102fc26:65::/32fc26:65:ffff:ffff:ffff:ffff:ffff:ffff
103fc26:66::/32fc26:66:ffff:ffff:ffff:ffff:ffff:ffff
104fc26:67::/32fc26:67:ffff:ffff:ffff:ffff:ffff:ffff
105fc26:68::/32fc26:68:ffff:ffff:ffff:ffff:ffff:ffff
106fc26:69::/32fc26:69:ffff:ffff:ffff:ffff:ffff:ffff
107fc26:6a::/32fc26:6a:ffff:ffff:ffff:ffff:ffff:ffff
108fc26:6b::/32fc26:6b:ffff:ffff:ffff:ffff:ffff:ffff
109fc26:6c::/32fc26:6c:ffff:ffff:ffff:ffff:ffff:ffff
110fc26:6d::/32fc26:6d:ffff:ffff:ffff:ffff:ffff:ffff
111fc26:6e::/32fc26:6e:ffff:ffff:ffff:ffff:ffff:ffff
112fc26:6f::/32fc26:6f:ffff:ffff:ffff:ffff:ffff:ffff
113fc26:70::/32fc26:70:ffff:ffff:ffff:ffff:ffff:ffff
114fc26:71::/32fc26:71:ffff:ffff:ffff:ffff:ffff:ffff
115fc26:72::/32fc26:72:ffff:ffff:ffff:ffff:ffff:ffff
116fc26:73::/32fc26:73:ffff:ffff:ffff:ffff:ffff:ffff
117fc26:74::/32fc26:74:ffff:ffff:ffff:ffff:ffff:ffff
118fc26:75::/32fc26:75:ffff:ffff:ffff:ffff:ffff:ffff
119fc26:76::/32fc26:76:ffff:ffff:ffff:ffff:ffff:ffff
120fc26:77::/32fc26:77:ffff:ffff:ffff:ffff:ffff:ffff
121fc26:78::/32fc26:78:ffff:ffff:ffff:ffff:ffff:ffff
122fc26:79::/32fc26:79:ffff:ffff:ffff:ffff:ffff:ffff
123fc26:7a::/32fc26:7a:ffff:ffff:ffff:ffff:ffff:ffff
124fc26:7b::/32fc26:7b:ffff:ffff:ffff:ffff:ffff:ffff
125fc26:7c::/32fc26:7c:ffff:ffff:ffff:ffff:ffff:ffff
126fc26:7d::/32fc26:7d:ffff:ffff:ffff:ffff:ffff:ffff
127fc26:7e::/32fc26:7e:ffff:ffff:ffff:ffff:ffff:ffff
128fc26:7f::/32fc26:7f:ffff:ffff:ffff:ffff:ffff:ffff
129fc26:80::/32fc26:80:ffff:ffff:ffff:ffff:ffff:ffff
130fc26:81::/32fc26:81:ffff:ffff:ffff:ffff:ffff:ffff
131fc26:82::/32fc26:82:ffff:ffff:ffff:ffff:ffff:ffff
132fc26:83::/32fc26:83:ffff:ffff:ffff:ffff:ffff:ffff
133fc26:84::/32fc26:84:ffff:ffff:ffff:ffff:ffff:ffff
134fc26:85::/32fc26:85:ffff:ffff:ffff:ffff:ffff:ffff
135fc26:86::/32fc26:86:ffff:ffff:ffff:ffff:ffff:ffff
136fc26:87::/32fc26:87:ffff:ffff:ffff:ffff:ffff:ffff
137fc26:88::/32fc26:88:ffff:ffff:ffff:ffff:ffff:ffff
138fc26:89::/32fc26:89:ffff:ffff:ffff:ffff:ffff:ffff
139fc26:8a::/32fc26:8a:ffff:ffff:ffff:ffff:ffff:ffff
140fc26:8b::/32fc26:8b:ffff:ffff:ffff:ffff:ffff:ffff
141fc26:8c::/32fc26:8c:ffff:ffff:ffff:ffff:ffff:ffff
142fc26:8d::/32fc26:8d:ffff:ffff:ffff:ffff:ffff:ffff
143fc26:8e::/32fc26:8e:ffff:ffff:ffff:ffff:ffff:ffff
144fc26:8f::/32fc26:8f:ffff:ffff:ffff:ffff:ffff:ffff
145fc26:90::/32fc26:90:ffff:ffff:ffff:ffff:ffff:ffff
146fc26:91::/32fc26:91:ffff:ffff:ffff:ffff:ffff:ffff
147fc26:92::/32fc26:92:ffff:ffff:ffff:ffff:ffff:ffff
148fc26:93::/32fc26:93:ffff:ffff:ffff:ffff:ffff:ffff
149fc26:94::/32fc26:94:ffff:ffff:ffff:ffff:ffff:ffff
150fc26:95::/32fc26:95:ffff:ffff:ffff:ffff:ffff:ffff
151fc26:96::/32fc26:96:ffff:ffff:ffff:ffff:ffff:ffff
152fc26:97::/32fc26:97:ffff:ffff:ffff:ffff:ffff:ffff
153fc26:98::/32fc26:98:ffff:ffff:ffff:ffff:ffff:ffff
154fc26:99::/32fc26:99:ffff:ffff:ffff:ffff:ffff:ffff
155fc26:9a::/32fc26:9a:ffff:ffff:ffff:ffff:ffff:ffff
156fc26:9b::/32fc26:9b:ffff:ffff:ffff:ffff:ffff:ffff
157fc26:9c::/32fc26:9c:ffff:ffff:ffff:ffff:ffff:ffff
158fc26:9d::/32fc26:9d:ffff:ffff:ffff:ffff:ffff:ffff
159fc26:9e::/32fc26:9e:ffff:ffff:ffff:ffff:ffff:ffff
160fc26:9f::/32fc26:9f:ffff:ffff:ffff:ffff:ffff:ffff
161fc26:a0::/32fc26:a0:ffff:ffff:ffff:ffff:ffff:ffff
162fc26:a1::/32fc26:a1:ffff:ffff:ffff:ffff:ffff:ffff
163fc26:a2::/32fc26:a2:ffff:ffff:ffff:ffff:ffff:ffff
164fc26:a3::/32fc26:a3:ffff:ffff:ffff:ffff:ffff:ffff
165fc26:a4::/32fc26:a4:ffff:ffff:ffff:ffff:ffff:ffff
166fc26:a5::/32fc26:a5:ffff:ffff:ffff:ffff:ffff:ffff
167fc26:a6::/32fc26:a6:ffff:ffff:ffff:ffff:ffff:ffff
168fc26:a7::/32fc26:a7:ffff:ffff:ffff:ffff:ffff:ffff
169fc26:a8::/32fc26:a8:ffff:ffff:ffff:ffff:ffff:ffff
170fc26:a9::/32fc26:a9:ffff:ffff:ffff:ffff:ffff:ffff
171fc26:aa::/32fc26:aa:ffff:ffff:ffff:ffff:ffff:ffff
172fc26:ab::/32fc26:ab:ffff:ffff:ffff:ffff:ffff:ffff
173fc26:ac::/32fc26:ac:ffff:ffff:ffff:ffff:ffff:ffff
174fc26:ad::/32fc26:ad:ffff:ffff:ffff:ffff:ffff:ffff
175fc26:ae::/32fc26:ae:ffff:ffff:ffff:ffff:ffff:ffff
176fc26:af::/32fc26:af:ffff:ffff:ffff:ffff:ffff:ffff
177fc26:b0::/32fc26:b0:ffff:ffff:ffff:ffff:ffff:ffff
178fc26:b1::/32fc26:b1:ffff:ffff:ffff:ffff:ffff:ffff
179fc26:b2::/32fc26:b2:ffff:ffff:ffff:ffff:ffff:ffff
180fc26:b3::/32fc26:b3:ffff:ffff:ffff:ffff:ffff:ffff
181fc26:b4::/32fc26:b4:ffff:ffff:ffff:ffff:ffff:ffff
182fc26:b5::/32fc26:b5:ffff:ffff:ffff:ffff:ffff:ffff
183fc26:b6::/32fc26:b6:ffff:ffff:ffff:ffff:ffff:ffff
184fc26:b7::/32fc26:b7:ffff:ffff:ffff:ffff:ffff:ffff
185fc26:b8::/32fc26:b8:ffff:ffff:ffff:ffff:ffff:ffff
186fc26:b9::/32fc26:b9:ffff:ffff:ffff:ffff:ffff:ffff
187fc26:ba::/32fc26:ba:ffff:ffff:ffff:ffff:ffff:ffff
188fc26:bb::/32fc26:bb:ffff:ffff:ffff:ffff:ffff:ffff
189fc26:bc::/32fc26:bc:ffff:ffff:ffff:ffff:ffff:ffff
190fc26:bd::/32fc26:bd:ffff:ffff:ffff:ffff:ffff:ffff
191fc26:be::/32fc26:be:ffff:ffff:ffff:ffff:ffff:ffff
192fc26:bf::/32fc26:bf:ffff:ffff:ffff:ffff:ffff:ffff
193fc26:c0::/32fc26:c0:ffff:ffff:ffff:ffff:ffff:ffff
194fc26:c1::/32fc26:c1:ffff:ffff:ffff:ffff:ffff:ffff
195fc26:c2::/32fc26:c2:ffff:ffff:ffff:ffff:ffff:ffff
196fc26:c3::/32fc26:c3:ffff:ffff:ffff:ffff:ffff:ffff
197fc26:c4::/32fc26:c4:ffff:ffff:ffff:ffff:ffff:ffff
198fc26:c5::/32fc26:c5:ffff:ffff:ffff:ffff:ffff:ffff
199fc26:c6::/32fc26:c6:ffff:ffff:ffff:ffff:ffff:ffff
200fc26:c7::/32fc26:c7:ffff:ffff:ffff:ffff:ffff:ffff
201fc26:c8::/32fc26:c8:ffff:ffff:ffff:ffff:ffff:ffff
202fc26:c9::/32fc26:c9:ffff:ffff:ffff:ffff:ffff:ffff
203fc26:ca::/32fc26:ca:ffff:ffff:ffff:ffff:ffff:ffff
204fc26:cb::/32fc26:cb:ffff:ffff:ffff:ffff:ffff:ffff
205fc26:cc::/32fc26:cc:ffff:ffff:ffff:ffff:ffff:ffff
206fc26:cd::/32fc26:cd:ffff:ffff:ffff:ffff:ffff:ffff
207fc26:ce::/32fc26:ce:ffff:ffff:ffff:ffff:ffff:ffff
208fc26:cf::/32fc26:cf:ffff:ffff:ffff:ffff:ffff:ffff
209fc26:d0::/32fc26:d0:ffff:ffff:ffff:ffff:ffff:ffff
210fc26:d1::/32fc26:d1:ffff:ffff:ffff:ffff:ffff:ffff
211fc26:d2::/32fc26:d2:ffff:ffff:ffff:ffff:ffff:ffff
212fc26:d3::/32fc26:d3:ffff:ffff:ffff:ffff:ffff:ffff
213fc26:d4::/32fc26:d4:ffff:ffff:ffff:ffff:ffff:ffff
214fc26:d5::/32fc26:d5:ffff:ffff:ffff:ffff:ffff:ffff
215fc26:d6::/32fc26:d6:ffff:ffff:ffff:ffff:ffff:ffff
216fc26:d7::/32fc26:d7:ffff:ffff:ffff:ffff:ffff:ffff
217fc26:d8::/32fc26:d8:ffff:ffff:ffff:ffff:ffff:ffff
218fc26:d9::/32fc26:d9:ffff:ffff:ffff:ffff:ffff:ffff
219fc26:da::/32fc26:da:ffff:ffff:ffff:ffff:ffff:ffff
220fc26:db::/32fc26:db:ffff:ffff:ffff:ffff:ffff:ffff
221fc26:dc::/32fc26:dc:ffff:ffff:ffff:ffff:ffff:ffff
222fc26:dd::/32fc26:dd:ffff:ffff:ffff:ffff:ffff:ffff
223fc26:de::/32fc26:de:ffff:ffff:ffff:ffff:ffff:ffff
224fc26:df::/32fc26:df:ffff:ffff:ffff:ffff:ffff:ffff
225fc26:e0::/32fc26:e0:ffff:ffff:ffff:ffff:ffff:ffff
226fc26:e1::/32fc26:e1:ffff:ffff:ffff:ffff:ffff:ffff
227fc26:e2::/32fc26:e2:ffff:ffff:ffff:ffff:ffff:ffff
228fc26:e3::/32fc26:e3:ffff:ffff:ffff:ffff:ffff:ffff
229fc26:e4::/32fc26:e4:ffff:ffff:ffff:ffff:ffff:ffff
230fc26:e5::/32fc26:e5:ffff:ffff:ffff:ffff:ffff:ffff
231fc26:e6::/32fc26:e6:ffff:ffff:ffff:ffff:ffff:ffff
232fc26:e7::/32fc26:e7:ffff:ffff:ffff:ffff:ffff:ffff
233fc26:e8::/32fc26:e8:ffff:ffff:ffff:ffff:ffff:ffff
234fc26:e9::/32fc26:e9:ffff:ffff:ffff:ffff:ffff:ffff
235fc26:ea::/32fc26:ea:ffff:ffff:ffff:ffff:ffff:ffff
236fc26:eb::/32fc26:eb:ffff:ffff:ffff:ffff:ffff:ffff
237fc26:ec::/32fc26:ec:ffff:ffff:ffff:ffff:ffff:ffff
238fc26:ed::/32fc26:ed:ffff:ffff:ffff:ffff:ffff:ffff
239fc26:ee::/32fc26:ee:ffff:ffff:ffff:ffff:ffff:ffff
240fc26:ef::/32fc26:ef:ffff:ffff:ffff:ffff:ffff:ffff
241fc26:f0::/32fc26:f0:ffff:ffff:ffff:ffff:ffff:ffff
242fc26:f1::/32fc26:f1:ffff:ffff:ffff:ffff:ffff:ffff
243fc26:f2::/32fc26:f2:ffff:ffff:ffff:ffff:ffff:ffff
244fc26:f3::/32fc26:f3:ffff:ffff:ffff:ffff:ffff:ffff
245fc26:f4::/32fc26:f4:ffff:ffff:ffff:ffff:ffff:ffff
246fc26:f5::/32fc26:f5:ffff:ffff:ffff:ffff:ffff:ffff
247fc26:f6::/32fc26:f6:ffff:ffff:ffff:ffff:ffff:ffff
248fc26:f7::/32fc26:f7:ffff:ffff:ffff:ffff:ffff:ffff
249fc26:f8::/32fc26:f8:ffff:ffff:ffff:ffff:ffff:ffff
250fc26:f9::/32fc26:f9:ffff:ffff:ffff:ffff:ffff:ffff
251fc26:fa::/32fc26:fa:ffff:ffff:ffff:ffff:ffff:ffff
252fc26:fb::/32fc26:fb:ffff:ffff:ffff:ffff:ffff:ffff
253fc26:fc::/32fc26:fc:ffff:ffff:ffff:ffff:ffff:ffff
254fc26:fd::/32fc26:fd:ffff:ffff:ffff:ffff:ffff:ffff
255fc26:fe::/32fc26:fe:ffff:ffff:ffff:ffff:ffff:ffff
256fc26:ff::/32fc26:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses